%global plugin_name workflow-job

Summary:    Defines a new job type for pipelines in Jenkins
Name:       jenkins-plugin-%{plugin_name}
Version:    2.9
Release:    1%{?dist}
License:    MIT
# URL is correct
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Pipeline+Job+Plugin
# AltURL:   https://github.com/jenkinsci/workflow-job-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.642.3

%description
Defines a new job type for pipelines and provides their generic user interface.


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Wed Jan 18 2017 Troy Dawson <tdawson@redhat.com> - 2.9-1
- Update to 2.9

* Thu Nov 03 2016 Troy Dawson <tdawson@redhat.com> - 2.8-1
- Update to latest version

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 2.2-1
- Initial package
